View Issue Details

IDProjectCategoryView StatusLast Update
0004420SymmetricDSBugpublic2020-06-24 16:47
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.1Fixed in Version3.12.1 
Summary0004420: Error "hostnameVerifier parameter specified as non-null is null"
DescriptionWhen HTTP/2 is disabled (in the conf/symmetric-server.properties), the following error can occur

java.lang.IllegalArgumentException: Parameter specified as non-null is null: method okhttp3.OkHttpClient$Builder.hostnameVerifier, parameter hostnameVerifier
java.lang.IllegalArgumentException: Parameter specified as non-null is null: method okhttp3.OkHttpClient$Builder.hostnameVerifier, parameter hostnameVerifier
    at okhttp3.OkHttpClient$Builder.hostnameVerifier(OkHttpClient.kt) ~[okhttp-4.6.0.jar:?]
    at org.jumpmind.symmetric.transport.http.Http2Connection.reset(Http2Connection.java:96) ~[symmetric-core-3.12.x-SNAPSHOT.jar:3.12.x-SNAPSHOT]
    at org.jumpmind.symmetric.transport.http.Http2Connection.<init>(Http2Connection.java:90) ~[symmetric-core-3.12.x-SNAPSHOT.jar:3.12.x-SNAPSHOT]
Tagsruntime

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 d54cd83c

2020-06-09 11:02:39

admin

Details Diff
0004420: Error "hostnameVerifier parameter specified as non-null is
null"

0004420
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/TransportManagerFactory.java Diff File

Issue History

Date Modified Username Field Change
2020-06-09 11:02 elong New Issue
2020-06-09 11:02 elong Status new => assigned
2020-06-09 11:02 elong Assigned To => elong
2020-06-09 11:02 elong Tag Attached: runtime
2020-06-09 11:08 elong Status assigned => resolved
2020-06-09 11:08 elong Resolution open => fixed
2020-06-09 11:08 elong Fixed in Version => 3.12.1
2020-06-10 11:00 admin Changeset attached => SymmetricDS 3.12 d54cd83c
2020-06-24 16:47 admin Status resolved => closed